Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Update a differential price

Idempotency Supported

Update a differential price using a differential_price_id and item_price_id .

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/differential_prices/{differential-price-id}

Input Parameters

item_price_id
required, string, max chars=100

The id of the item price (addon or charge ) whose price should change according to the plan-item it is applied to.

price
optional, in cents, min=0

The differential price. If the pricing model of the item_price_id is tiered , volume , or stairstep , pass tiers instead of this.

price_in_decimal
optional, string, max chars=39

The price of the item when the pricing_model is flat_fee. When the pricing model is per_unit , it is the price per unit quantity of the item. Not applicable for the other pricing models. The value is in decimal and in major units of the currency. Also, this is only applicable when multi-decimal pricing is enabled.

parent_periods[0..n]
Parameters for parent_periods. Multiple parent_periods can be passed by specifying unique indices.
pass parameters as parent_periods[<param name>][<idx:0..n>]
tiers[0..n]
Parameters for tiers. Multiple tiers can be passed by specifying unique indices.
pass parameters as tiers[<param name>][<idx:0..n>]

Returns

Differential price object
Resource object representing differential_price